### Method

# Gio SocketClient get_local_address

since: 2.22

#### Declaration

    GSocketAddress*
    g_socket_client_get_local_address (
      GSocketClient* client
    )

#### Description

Gets the local address of the socket client.

See `g_socket_client_set_local_address()` for details.

Available since: 2.22

Gets property | `Gio.SocketClient:local-address`

#### Return value

Type: `GSocketAddress`

A `GSocketAddress` or `NULL`. Do not free.

The data is owned by the instance.
The return value can be `NULL`.